aboutsummaryrefslogtreecommitdiff
path: root/.ci/travis-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to '.ci/travis-tests.sh')
-rwxr-xr-x.ci/travis-tests.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/.ci/travis-tests.sh b/.ci/travis-tests.sh
new file mode 100755
index 0000000..bf8f5ad
--- /dev/null
+++ b/.ci/travis-tests.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e -x
+
+if [[ "${BUILD}" != *tests* ]]; then
+ echo "Skipping tests."
+ exit 0
+fi
+
+if [ "${TRAVIS_OS_NAME}" == "osx" ]; then
+ PYENV_ROOT="$HOME/.pyenv"
+ PATH="$PYENV_ROOT/bin:$PATH"
+ eval "$(pyenv init -)"
+fi
+
+python setup.py test